package com.ruoyi.web.v3.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.web.v3.entity.HbCheckResidueEntity;
import com.ruoyi.web.v3.model.request.HbCheckResiduePageReq;

/**
 * <p>
 * v3.0 药物残留检测登记 服务类
 * </p>
 */
public interface IHbCheckResidueService extends IService<HbCheckResidueEntity> {

    AjaxResult add(HbCheckResidueEntity request);

    AjaxResult edit(HbCheckResidueEntity request);

    AjaxResult delete(String ids);

    AjaxResult page(HbCheckResiduePageReq request);

    AjaxResult listAll();
}
